Bug 91496 - compile fails with defaults config and compiler!
compile fails with defaults config and compiler!
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-23 07:51 EDT by Pádraig Brady
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pádraig Brady 2003-05-23 07:51:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030210

Description of problem:
compile fails with:

ld -m elf_i386  -r -o oprofile.o init.o timer_int.o
../../../drivers/oprofile/oprof.o ../../../drivers/oprofile/cpu_buffer.o
../../../drivers/oprofile/buffer_sync.o ../../../drivers/oprofile/event_buffer.o
../../../drivers/oprofile/oprofile_files.o
../../../drivers/oprofile/oprofilefs.o ../../../drivers/oprofile/oprofile_stats.o
../../../drivers/oprofile/event_buffer.o(.text+0x0): In function `dcookie_register':
: multiple definition of `dcookie_register'
../../../drivers/oprofile/buffer_sync.o(.text+0x0): first defined here
../../../drivers/oprofile/event_buffer.o(.text+0x10): In function
`dcookie_unregister':
: multiple definition of `dcookie_unregister'
../../../drivers/oprofile/buffer_sync.o(.text+0x10): first defined here
make[2]: *** [oprofile.o] Error 1
make[2]: Leaving directory `/usr/src/linux-2.4.20-8/arch/i386/oprofile'
make[1]: *** [first_rule] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.20-8/arch/i386/oprofile'
make: *** [_dir_arch/i386/oprofile] Error 2

Version-Release number of selected component (if applicable):
linux-2.4.20-8

How reproducible:
Always

Steps to Reproduce:
cd /usr/src/linux-2.4/
cp configs/kernel-2.4.20-i686.config .config
make oldconfig dep bzImage modules


Additional info:
Comment 1 Arjan van de Ven 2003-05-23 08:21:51 EDT
please start with "make mrproper" as very first step
Comment 2 Pádraig Brady 2003-05-23 09:49:30 EDT
sorry I did do that with the same results.
I know this is fundamental and probably
my fault, but it's a new install and I
can't understand why it would fall over.
Comment 3 Peter Fales 2004-01-02 11:34:33 EST
I'm seeing exactly the same thing starting with with 2.4.20-27.9  (I
didn't have the problem with any earlier releases)

To reproduce:

make mrproper
cp configs/kernel-2.4.20-i686.config .config
make oldconfig dep bzImage

This is an up-to-date RH9 system, nothing special installed, and it's 
the same build procedure I've used with all the earlier kernels.
Comment 4 Arjan van de Ven 2004-01-02 11:46:36 EST
sometimes you need 2x make oldconfig....
if that fixes it for you then somehow it broke in the erratum...
Comment 5 Peter Fales 2004-01-02 12:53:01 EST
Sure enough - running make oldconfig twice got it working!
Comment 6 Bugzilla owner 2004-09-30 11:40:59 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.